Bug 621501 - error happens when loading internal snapshot
Summary: error happens when loading internal snapshot
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: beta
: 6.2
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: RHELNAK
Depends On: 607244
Blocks: 580953
TreeView+ depends on / blocked
 
Reported: 2010-08-05 10:09 UTC by Shirley Zhou
Modified: 2015-03-05 00:52 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 607244
Environment:
Last Closed: 2012-01-16 11:40:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 2 RHEL Product and Program Management 2010-08-05 10:27:43 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 5 Kevin Wolf 2011-06-01 09:31:16 UTC
Tried to reproduce it, for me it fails already during savevm. Migration to file seems to work fine.

Comment 8 Kevin Wolf 2011-12-07 11:14:06 UTC
Is this still reproducible? What happens if you try migration to file and then restart the VM from that file?

Comment 9 FuXiangChun 2011-12-09 10:09:19 UTC
(In reply to comment #8)
> Is this still reproducible? What happens if you try migration to file and then
> restart the VM from that file?

Hi Wolf, 
  
    I am reproducing it, I will update testing result next Monday.

Comment 10 FuXiangChun 2011-12-12 06:54:26 UTC
Hi Wolf,

   testing result:
    1.if guest crete i/o error and guest become paused, it will fail during savevm.
    2.cann't create snapshot file(info snapshots)
    3.migrate to file successfully.

method 1   
steps to reproduce:
    1. create a lv 500M 
    2. create a image 20G on lv
    3. install a rhel6.2 guest with image
    4. show i/o error and guest become pasused status.
    5. savevm s1
   
   actual result:
   (qemu) savevm s1
   Error while creating snapshot on 'drive-virtio-disk0'
   
method 2
steps to reproduce:
    1.create a image on nfs
    2.boot guest and attach image as second disk
    3.run dd command on second disk
    4.stop nfs service()
    5.savevm s1

   actual result:
   (qemu) savevm s1
   Error while creating snapshot on 'drive-virtio-disk1'

additional info:
# rpm -qa|grep qemu
qemu-kvm-0.12.1.2-2.210.el6.x86_64
# uname -r
2.6.32-221.el6.x86_64

Comment 11 Kevin Wolf 2012-01-16 11:40:50 UTC
Doesn't look like the original problem is reproducible, and internal snapshots aren't supported anyway. Closing.


Note You need to log in before you can comment on or make changes to this bug.